aboutsummaryrefslogtreecommitdiffstats
path: root/x11/claws-mail/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-05 22:22:39 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-05 22:22:39 +0000
commit5df3d0c2ab7f501c0206e618ffdfab0e3e2cffeb (patch)
treef7fb7fd97e7e908a67cbc3a0e98941d8d13581e2 /x11/claws-mail/APKBUILD
parentfa5d3e76eaa6602a830f42042eec07209c5d93b4 (diff)
downloadaports-5df3d0c2ab7f501c0206e618ffdfab0e3e2cffeb.tar.bz2
aports-5df3d0c2ab7f501c0206e618ffdfab0e3e2cffeb.tar.xz
x11/claws-mail: new aport
A GTK+ based e-mail client http://www.claws-mail.org
Diffstat (limited to 'x11/claws-mail/APKBUILD')
-rw-r--r--x11/claws-mail/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/x11/claws-mail/APKBUILD b/x11/claws-mail/APKBUILD
new file mode 100644
index 0000000000..3ac6034284
--- /dev/null
+++ b/x11/claws-mail/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=claws-mail
+pkgver=3.7.2
+pkgrel=0
+pkgdesc="A GTK+ based e-mail client."
+url="http://www.claws-mail.org"
+license="GPL3"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="gtk+-dev gnutls-dev startup-notification-dev enchant-dev
+ libsm-dev db-dev curl-dev dbus-glib-dev libetpan-dev"
+depends=
+# gpgme-dev libetpan-dev
+#pilot-link>=0.12.3-5
+install= #claws-mail.install
+source="http://downloads.sourceforge.net/sourceforge/sylpheed-claws/$pkgname-$pkgver.tar.bz2
+ libc-version.patch"
+
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 -i ../libc-version.patch || return 1
+
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-enchant \
+ --enable-gnutls \
+ --enable-ldap \
+ --disable-dillo-viewer-plugin \
+ --enable-crash-dialog \
+ --enable-pgpmime-plugin \
+ --enable-spamassassin-plugin \
+ --enable-bogofilter-plugin \
+ --disable-jpilot
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ cd tools
+ make
+ find -maxdepth 1 -type f -and -perm /111 -or -name '*.conf' | while read i; do
+ install -D -m755 ${i} "$pkgdir"/usr/lib/claws-mail/tools/${i}
+ done
+}
+md5sums="df27c2488df499d8c05646d3e101d095 claws-mail-3.7.2.tar.bz2
+f3416743b5d8ff97b5a3cc2f7efc2dc1 libc-version.patch"